summaryrefslogtreecommitdiff
path: root/tools/ci/scripts/init.sh
diff options
context:
space:
mode:
authorAndrei Karas <akaras@inbox.ru>2016-05-01 19:37:54 +0300
committerAndrei Karas <akaras@inbox.ru>2016-05-01 19:37:54 +0300
commit6b1f40c659dacf8b2bda8f8f96d39fe78e428887 (patch)
treeacaa5631249f8da755b0ee928a602d6d7d2ba8a3 /tools/ci/scripts/init.sh
parentded470e8756ab9d9c35bdd9bd1f9c5cd9bfd945b (diff)
downloadplus-6b1f40c659dacf8b2bda8f8f96d39fe78e428887.tar.gz
plus-6b1f40c659dacf8b2bda8f8f96d39fe78e428887.tar.bz2
plus-6b1f40c659dacf8b2bda8f8f96d39fe78e428887.tar.xz
plus-6b1f40c659dacf8b2bda8f8f96d39fe78e428887.zip
In ci scripts add more protections from network/dns failures in apt get commands.
Diffstat (limited to 'tools/ci/scripts/init.sh')
-rwxr-xr-xtools/ci/scripts/init.sh18
1 files changed, 17 insertions, 1 deletions
diff --git a/tools/ci/scripts/init.sh b/tools/ci/scripts/init.sh
index 8cde42088..64e11f3b0 100755
--- a/tools/ci/scripts/init.sh
+++ b/tools/ci/scripts/init.sh
@@ -29,6 +29,14 @@ function aptget_update {
if [ "$?" != 0 ]; then
sleep 5s
apt-get update
+ if [ "$?" != 0 ]; then
+ sleep 10s
+ apt-get update
+ if [ "$?" != 0 ]; then
+ sleep 15s
+ apt-get update
+ fi
+ fi
fi
fi
fi
@@ -42,11 +50,19 @@ function aptget_install {
apt-get -y -qq install $*
if [ "$?" != 0 ]; then
sleep 2s
+ apt-get -y -qq install $*
if [ "$?" != 0 ]; then
sleep 5s
apt-get -y -qq install $*
+ if [ "$?" != 0 ]; then
+ sleep 10s
+ apt-get -y -qq install $*
+ if [ "$?" != 0 ]; then
+ sleep 15s
+ apt-get -y -qq install $*
+ fi
+ fi
fi
- apt-get -y -qq install $*
fi
fi
}